{
  "name": "napi-spawn-with-ipc",
  "version": "1.0.0",
  "description": "Module written in Rust to spawn a child process with ipc-channel based ipc",
  "main": "index.js",
  "repository": "",
  "private": true,
  "license": "GPL-3.0-or-later",
  "files": [
    "index.d.ts",
    "index.js"
  ],
  "napi": {
    "binaryName": "napi-spawn-with-ipc",
    "targets": [
      "x86_64-pc-windows-msvc",
      "x86_64-apple-darwin",
      "x86_64-unknown-linux-gnu",
      "aarch64-apple-darwin"
    ]
  },
  "engines": {
    "node": ">= 12.22.0 < 13 || >= 14.17.0 < 15 || >= 15.12.0 < 16 || >= 16.0.0"
  },
  "scripts": {
    "build": "napi build --platform --release",
    "build:debug": "napi build --platform",
    "format": "run-p format:prettier format:rs format:toml",
    "format:prettier": "prettier . -w",
    "format:toml": "taplo format",
    "format:rs": "cargo fmt",
    "lint": "oxlint ."
  },
  "devDependencies": {
    "@emnapi/core": "^1.4.3",
    "@emnapi/runtime": "^1.4.3",
    "@napi-rs/cli": "^3.0.0",
    "@oxc-node/core": "^0.0.29",
    "@taplo/cli": "^0.7.0",
    "@tybys/wasm-util": "^0.10.0",
    "@types/node": "^24.1.0",
    "chalk": "^5.4.1",
    "lint-staged": "^16.1.2",
    "npm-run-all2": "^8.0.4",
    "oxlint": "^1.3.0",
    "prettier": "^3.6.0",
    "typescript": "^5.8.3"
  },
  "lint-staged": {
    "*.@(js|ts|tsx)": [
      "oxlint --fix"
    ],
    "*.@(js|ts|tsx|yml|yaml|md|json)": [
      "prettier --write"
    ],
    "*.toml": [
      "taplo format"
    ]
  },
  "prettier": {
    "printWidth": 120,
    "semi": false,
    "trailingComma": "all",
    "singleQuote": true,
    "arrowParens": "always"
  }
}
